<?php
/**
 * Fashion Designer Studio: Customizer
 *
 * @subpackage Fashion Designer Studio
 * @since 1.0
 */

function fashion_designer_studio_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/assets/css/customizer.css');

	// Add custom control.
 	require get_parent_theme_file_path( 'inc/switch/control_switch.php' );

 	 //Logo
    $wp_customize->add_setting('fashion_designer_studio_logo_max_height',array(
		'default'	=> '',
		'sanitize_callback'	=> 'fashion_designer_studio_sanitize_number_absint'
	));
	$wp_customize->add_control('fashion_designer_studio_logo_max_height',array(
		'label'	=> esc_html__('Logo Width','fashion-designer-studio'),
		'section'	=> 'title_tagline',
		'type'		=> 'number'
	));

	$wp_customize->add_setting('fashion_designer_studio_logo_title',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_logo_title',
			array(
				'settings'        => 'fashion_designer_studio_logo_title',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Title', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('fashion_designer_studio_logo_text',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_logo_text',
			array(
				'settings'        => 'fashion_designer_studio_logo_text',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Tagline', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
    // ===================typography===========

	$wp_customize->add_section( 'fashion_designer_studio_typography_settings', array(
		'title'       => __( 'Typography', 'fashion-designer-studio' ),
		'priority'       => 24,
	) );

	$font_choices = array(
			'' => 'Select',
			'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
			'Open Sans:400italic,700italic,400,700' => 'Open Sans',
			'Oswald:400,700' => 'Oswald',
			'Playfair Display:400,700,400italic' => 'Playfair Display',
			'Montserrat:400,700' => 'Montserrat',
			'Raleway:400,700' => 'Raleway',
			'Droid Sans:400,700' => 'Droid Sans',
			'Lato:400,700,400italic,700italic' => 'Lato',
			'Arvo:400,700,400italic,700italic' => 'Arvo',
			'Lora:400,700,400italic,700italic' => 'Lora',
			'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
			'Oxygen:400,300,700' => 'Oxygen',
			'PT Serif:400,700' => 'PT Serif',
			'PT Sans:400,700,400italic,700italic' => 'PT Sans',
			'PT Sans Narrow:400,700' => 'PT Sans Narrow',
			'Cabin:400,700,400italic' => 'Cabin',
			'Fjalla One:400' => 'Fjalla One',
			'Francois One:400' => 'Francois One',
			'Josefin Sans:400,300,600,700' => 'Josefin Sans',
			'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
			'Arimo:400,700,400italic,700italic' => 'Arimo',
			'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
			'Bitter:400,700,400italic' => 'Bitter',
			'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
			'Roboto:400,400italic,700,700italic' => 'Roboto',
			'Open Sans Condensed:700,300italic,300' => 'Open Sans Condensed',
			'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
			'Roboto Slab:400,700' => 'Roboto Slab',
			'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
			'Rokkitt:400' => 'Rokkitt',
		);

	$wp_customize->add_setting( 'fashion_designer_studio_section_typo_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_typo_heading', array(
			'label'       => esc_html__( 'Typography Settings', 'fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_typography_settings',
			'settings'    => 'fashion_designer_studio_section_typo_heading',
		) ) );

	$wp_customize->add_setting( 'fashion_designer_studio_headings_text', array(
		'sanitize_callback' => 'fashion_designer_studio_sanitize_fonts',
	));

	$wp_customize->add_control( 'fashion_designer_studio_headings_text', array(
		'type' => 'select',
		'description' => __('Select your suitable font for the headings.', 'fashion-designer-studio'),
		'section' => 'fashion_designer_studio_typography_settings',
		'choices' => $font_choices
	));

	$wp_customize->add_setting( 'fashion_designer_studio_body_text', array(
		'sanitize_callback' => 'fashion_designer_studio_sanitize_fonts'
	));

	$wp_customize->add_control( 'fashion_designer_studio_body_text', array(
		'type' => 'select',
		'description' => __( 'Select your suitable font for the body.', 'fashion-designer-studio' ),
		'section' => 'fashion_designer_studio_typography_settings',
		'choices' => $font_choices
	) );

 	$wp_customize->add_section('fashion_designer_studio_pro', array(
        'title'    => __('UPGRADE FASHION DESIGNER PREMIUM', 'fashion-designer-studio'),
        'priority' => 1,
    ));

    $wp_customize->add_setting('fashion_designer_studio_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Fashion_Designer_Studio_Pro_Control($wp_customize, 'fashion_designer_studio_pro', array(
        'label'    => __('Fashion Designer Studio PREMIUM', 'fashion-designer-studio'),
        'section'  => 'fashion_designer_studio_pro',
        'settings' => 'fashion_designer_studio_pro',
        'priority' => 1,
    )));

		// Theme General Settings
    $wp_customize->add_section('fashion_designer_studio_theme_settings',array(
        'title' => __('Theme General Settings', 'fashion-designer-studio'),
        'priority' => 1,
    ) );

     $wp_customize->add_setting(
		'fashion_designer_studio_sticky_header',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_sticky_header',
			array(
				'settings'        => 'fashion_designer_studio_sticky_header',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Show Sticky Header', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'fashion_designer_studio_theme_loader',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_theme_loader',
			array(
				'settings'        => 'fashion_designer_studio_theme_loader',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Show Site Loader', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting( 'fashion_designer_studio_section_scroll_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_scroll_heading', array(
		'label'       => esc_html__( 'Scroll Top Settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_scroll_heading',
	) ) );

	$wp_customize->add_setting(
		'fashion_designer_studio_scroll_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_scroll_enable',
			array(
				'settings'        => 'fashion_designer_studio_scroll_enable',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Hide Scroll Top', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('fashion_designer_studio_scroll_options',array(
      'default' => 'right_align',
      'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_scroll_options',array(
      'type' => 'select',
      'label' => __('Scroll Top Alignment','fashion-designer-studio'),
      'section' => 'fashion_designer_studio_theme_settings',
      'choices' => array(
          'right_align' => __('Right Align','fashion-designer-studio'),
          'center_align' => __('Center Align','fashion-designer-studio'),
          'left_align' => __('Left Align','fashion-designer-studio'),
      ),
) );
	
	$wp_customize->add_setting('fashion_designer_studio_menu_text_transform',array(
        'default' => 'CAPITALISE',
        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_menu_text_transform',array(
        'type' => 'select',
        'label' => __('Menus Text Transform','fashion-designer-studio'),
        'section' => 'fashion_designer_studio_theme_settings',
        'choices' => array(
            'CAPITALISE' => __('CAPITALISE','fashion-designer-studio'),
            'UPPERCASE' => __('UPPERCASE','fashion-designer-studio'),
            'LOWERCASE' => __('LOWERCASE','fashion-designer-studio'),
        ),
	) );

	$wp_customize->add_setting( 'fashion_designer_studio_section_shoppage_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_shoppage_heading', array(
		'label'       => esc_html__( 'Shop Page Settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_shoppage_heading',
	) ) );

	$wp_customize->add_setting(
		'fashion_designer_studio_shop_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_shop_page_sidebar',
			array(
				'settings'        => 'fashion_designer_studio_shop_page_sidebar',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Hide Shop Page Sidebar', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'fashion_designer_studio_wocommerce_single_page_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_wocommerce_single_page_sidebar',
			array(
				'settings'        => 'fashion_designer_studio_wocommerce_single_page_sidebar',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Hide Single Product Page Sidebar', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	// Post Layouts
    $wp_customize->add_section('fashion_designer_studio_layout',array(
        'title' => __('Post Layout', 'fashion-designer-studio'),
        'priority' => 1
    ) );

    $wp_customize->add_setting( 'fashion_designer_studio_section_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_post_heading', array(
		'label'       => esc_html__( 'Post Structure', 'fashion-designer-studio' ),
		 'description' => __( 'Change the post layout from below options', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_layout',
		'settings'    => 'fashion_designer_studio_section_post_heading',
	) ) );

	$wp_customize->add_setting(
		'fashion_designer_studio_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_post_sidebar',
			array(
				'settings'        => 'fashion_designer_studio_post_sidebar',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Fullwidth', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting(
		'fashion_designer_studio_single_post_sidebar',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_sidebar',
			array(
				'settings'        => 'fashion_designer_studio_single_post_sidebar',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Single Post Fullwidth', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);


    $wp_customize->add_setting('fashion_designer_studio_post_option',array(
		'default' => 'simple_post',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_select'
	));
	$wp_customize->add_control('fashion_designer_studio_post_option',array(
		'label' => esc_html__('Select Layout','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_layout',
		'setting' => 'fashion_designer_studio_post_option',
		'type' => 'radio',
        'choices' => array(
            'simple_post' => __('Simple Post','fashion-designer-studio'),
            'grid_post' => __('Grid Post','fashion-designer-studio'),
        ),
	));

    $wp_customize->add_setting('fashion_designer_studio_grid_column',array(
		'default' => '3_column',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_select'
	));
	$wp_customize->add_control('fashion_designer_studio_grid_column',array(
		'label' => esc_html__('Grid Post Per Row','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_layout',
		'setting' => 'fashion_designer_studio_grid_column',
		'type' => 'radio',
        'choices' => array(
            '1_column' => __('1','fashion-designer-studio'),
            '2_column' => __('2','fashion-designer-studio'),
            '3_column' => __('3','fashion-designer-studio'),
            '4_column' => __('4','fashion-designer-studio'),
            '5_column' => __('6','fashion-designer-studio'),
        ),
	));

	$wp_customize->add_setting('fashion_designer_studio_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_date',
			array(
				'settings'        => 'fashion_designer_studio_date',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Hide Date', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_date', array(
		'selector' => '.date-box',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_date',
	) );

	$wp_customize->add_setting('fashion_designer_studio_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_admin',
			array(
				'settings'        => 'fashion_designer_studio_admin',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Hide Author/Admin', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_admin',
	) );

	$wp_customize->add_setting('fashion_designer_studio_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_comment',
			array(
				'settings'        => 'fashion_designer_studio_comment',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Hide Comment', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_comment', array(
		'selector' => '.entry-comments',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_comment',
	) );

	// Top Header
    $wp_customize->add_section('fashion_designer_studio_top',array(
        'title' => __('Top Header', 'fashion-designer-studio'),
        'priority' => 1
    ) );

    $wp_customize->add_setting( 'fashion_designer_studio_section_contact_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_contact_heading', array(
		'label'       => esc_html__( 'Contact Settings', 'fashion-designer-studio' ),	
		'description' => __( 'Add contact info in the below feilds', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_top',
		'settings'    => 'fashion_designer_studio_section_contact_heading',
	) ) );

    $wp_customize->add_setting('fashion_designer_studio_top_discount_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_top_discount_text',array(
		'label' => esc_html__('Add Discount Text','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_discount_text',
		'type'    => 'text'
	));

	$wp_customize->add_setting('fashion_designer_studio_top_phone_number',array(
		'default' => '',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_phone_number'
	));
	$wp_customize->add_control('fashion_designer_studio_top_phone_number',array(
		'label' => esc_html__('Add Phone Number','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_phone_number',
		'type'    => 'text'
	));

    $wp_customize->add_setting('fashion_designer_studio_top_timing',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_top_timing',array(
		'label' => esc_html__('Add Timing','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_timing',
		'type'    => 'text'
	));

	$wp_customize->add_setting('fashion_designer_studio_wishlist_url',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_wishlist_url',array(
		'label' => esc_html__('Wishlist URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_wishlist_url',
		'type'    => 'url'
	));

	// Social Media
    $wp_customize->add_section('fashion_designer_studio_urls',array(
        'title' => __('Social Media', 'fashion-designer-studio'),
        'priority' => 3
    ) );

    $wp_customize->add_setting( 'fashion_designer_studio_section_social_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_social_heading', array(
		'label'       => esc_html__( 'Social Media Settings', 'fashion-designer-studio' ),
		'description' => __( 'Add social media links in the below feilds', 'fashion-designer-studio' ),			
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_section_social_heading',
	) ) );


	$wp_customize->add_setting('fashion_designer_studio_facebook',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_facebook',array(
		'label' => esc_html__('Facebook URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_facebook',
		'type'    => 'url'
	));

	$wp_customize->add_setting('fashion_designer_studio_twitter',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_twitter',array(
		'label' => esc_html__('Twitter URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_twitter',
		'type'    => 'url'
	));

	$wp_customize->add_setting('fashion_designer_studio_youtube',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_youtube',array(
		'label' => esc_html__('Youtube URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_youtube',
		'type'    => 'url'
	));

	$wp_customize->add_setting('fashion_designer_studio_instagram',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_instagram',array(
		'label' => esc_html__('Instagram URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_instagram',
		'type'    => 'url'
	));

    //Slider
	$wp_customize->add_section( 'fashion_designer_studio_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'fashion-designer-studio' ),
    	'priority'   => 3,
	) );

	$wp_customize->add_setting( 'fashion_designer_studio_section_slide_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_slide_heading', array(
		'label'       => esc_html__( 'Slider Settings', 'fashion-designer-studio' ),
		'description' => __( 'Slider Image Dimension ( 1600px x 650px )', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_slider_section',
		'settings'    => 'fashion_designer_studio_section_slide_heading',
	) ) );

	$wp_customize->add_setting(
		'fashion_designer_studio_slider_arrows',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_slider_arrows',
			array(
				'settings'        => 'fashion_designer_studio_slider_arrows',
				'section'         => 'fashion_designer_studio_slider_section',
				'label'           => __( 'Check To Hide Slider', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$args = array('numberposts' => -1);
	$post_list = get_posts($args);
	$i = 0;
	$pst_sls[]= __('Select','fashion-designer-studio');
	foreach ($post_list as $key => $p_post) {
		$pst_sls[$p_post->ID]=$p_post->post_title;
	}
	for ( $i = 1; $i <= 4; $i++ ) {
		$wp_customize->add_setting('fashion_designer_studio_post_setting'.$i,array(
			'sanitize_callback' => 'fashion_designer_studio_sanitize_select',
		));
		$wp_customize->add_control('fashion_designer_studio_post_setting'.$i,array(
			'type'    => 'select',
			'choices' => $pst_sls,
			'label' => __('Select post','fashion-designer-studio'),
			'section' => 'fashion_designer_studio_slider_section',
		));
	}
	wp_reset_postdata();

	$wp_customize->add_setting('fashion_designer_studio_slider_content_alignment',array(
        'default' => 'LEFT-ALIGN',
        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_slider_content_alignment',array(
        'type' => 'select',
        'label' => __('Slider Content Alignment','fashion-designer-studio'),
        'section' => 'fashion_designer_studio_slider_section',
        'choices' => array(
            'LEFT-ALIGN' => __('LEFT-ALIGN','fashion-designer-studio'),
            'CENTER-ALIGN' => __('CENTER-ALIGN','fashion-designer-studio'),
            'RIGHT-ALIGN' => __('RIGHT-ALIGN','fashion-designer-studio'),),
	) );

	// Category Section
	$wp_customize->add_section( 'fashion_designer_studio_mission_section' , array(
    	'title'      => __( 'Category Section Settings', 'fashion-designer-studio' ),
		'priority'   => 4,
	) );

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
	if($i==0){
	  $default = $category->slug;
	  $i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('fashion_designer_studio_mission_category_setting',array(
		'default' => 'select',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_select',
	));
	$wp_customize->add_control('fashion_designer_studio_mission_category_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => esc_html__('Select Category to display category','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_mission_section',
	));

	//Footer
    $wp_customize->add_section( 'fashion_designer_studio_footer_copyright', array(
    	'title'      => esc_html__( 'Footer Text', 'fashion-designer-studio' ),
    	'priority' => 6
	) );

	$wp_customize->add_setting( 'fashion_designer_studio_section_footer_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_footer_heading', array(
			'label'       => esc_html__( 'Footer Settings', 'fashion-designer-studio' ),		
			'section'     => 'fashion_designer_studio_footer_copyright',
			'settings'    => 'fashion_designer_studio_section_footer_heading',
		) ) );

    $wp_customize->add_setting('fashion_designer_studio_footer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_footer_text',array(
		'label'	=> esc_html__('Copyright Text','fashion-designer-studio'),
		'section'	=> 'fashion_designer_studio_footer_copyright',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('fashion_designer_studio_footer_widget',array(
		'default' => '4',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_select'
));
	$wp_customize->add_control('fashion_designer_studio_footer_widget',array(
		'label' => esc_html__('Footer Per Column','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_footer_copyright',
		'setting' => 'fashion_designer_studio_footer_widget',
		'type' => 'radio',
				'choices' => array(
						'1'   => __('1 Column', 'fashion-designer-studio'),
						'2'  => __('2 Column', 'fashion-designer-studio'),
						'3' => __('3 Column', 'fashion-designer-studio'),
						'4' => __('4 Column', 'fashion-designer-studio')
				),
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'fashion_designer_studio_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'fashion_designer_studio_customize_partial_blogdescription',
	) );

	//front page
	$num_sections = apply_filters( 'fashion_designer_studio_front_page_sections', 4 );

	// Create a setting and control for each of the sections available in the theme.
	for ( $i = 1; $i < ( 1 + $num_sections ); $i++ ) {
		$wp_customize->add_setting( 'panel_' . $i, array(
			'default'           => false,
			'sanitize_callback' => 'fashion_designer_studio_sanitize_dropdown_pages',
			'transport'         => 'postMessage',
		) );

		$wp_customize->add_control( 'panel_' . $i, array(
			/* translators: %d is the front page section number */
			'label'          => sprintf( __( 'Front Page Section %d Content', 'fashion-designer-studio' ), $i ),
			'description'    => ( 1 !== $i ? '' : __( 'Select pages to feature in each area from the dropdowns. Add an image to a section by setting a featured image in the page editor. Empty sections will not be displayed.', 'fashion-designer-studio' ) ),
			'section'        => 'theme_options',
			'type'           => 'dropdown-pages',
			'allow_addition' => true,
			'active_callback' => 'fashion_designer_studio_is_static_front_page',
		) );

		$wp_customize->selective_refresh->add_partial( 'panel_' . $i, array(
			'selector'            => '#panel' . $i,
			'render_callback'     => 'fashion_designer_studio_front_page_section',
			'container_inclusive' => true,
		) );
	}
}
add_action( 'customize_register', 'fashion_designer_studio_customize_register' );

function fashion_designer_studio_customize_partial_blogname() {
	bloginfo( 'name' );
}
function fashion_designer_studio_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
function fashion_designer_studio_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}
function fashion_designer_studio_is_view_with_layout_option() {
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

define('FASHION_DESIGNER_STUDIO_PRO_LINK',__('https://www.ovationthemes.com/wordpress/designer-studio-wordpress-theme/','fashion-designer-studio'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Fashion_Designer_Studio_Pro_Control')):
    class Fashion_Designer_Studio_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md upsell-btn">
                <a href="<?php echo esc_url( FASHION_DESIGNER_STUDIO_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE FASHION DESIGNER PREMIUM','fashion-designer-studio');?> </a>
	        </div>
            <div class="col-md">
                <img class="fashion_designer_studio_img_responsive " src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png">
            </div>
	        <div class="col-md">
	            <h3 style="margin-top:10px; margin-left: 20px; text-decoration:underline; color:#333;"><?php esc_html_e('FASHION DESIGNER PREMIUM - Features', 'fashion-designer-studio'); ?></h3>
                <ul style="padding-top:10px">
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'fashion-designer-studio');?> </li>
                </ul>
        	</div>
		    <div class="col-md upsell-btn upsell-btn-bottom">
	            <a href="<?php echo esc_url( FASHION_DESIGNER_STUDIO_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE FASHION DESIGNER PREMIUM','fashion-designer-studio');?> </a>
		    </div>
        </label>
    <?php } }
endif;
