<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <?php if( get_option('fashion_designer_studio_slider_arrows',false) != '1'){ ?>
    <section id="slider">
      <div class="container">
        <div class="row">
          <div class="col-lg-1 col-md-1 col-sm-1 pr-md-0 links text-center text-md-left">
            <div class="linksbox">
              <?php if( get_theme_mod('fashion_designer_studio_facebook') != ''){ ?>
                <a href="<?php echo esc_url(get_theme_mod('fashion_designer_studio_facebook','')); ?>"><span class="mr-3"><?php esc_html_e('Facebook','fashion-designer-studio'); ?></span></a>
              <?php }?>
              <?php if( get_theme_mod('fashion_designer_studio_twitter') != ''){ ?>
                <a href="<?php echo esc_url(get_theme_mod('fashion_designer_studio_twitter','')); ?>"><span class="mr-3"><?php esc_html_e('Twitter','fashion-designer-studio'); ?></span></a>
              <?php }?>
              <?php if( get_theme_mod('fashion_designer_studio_youtube') != ''){ ?>
                <a href="<?php echo esc_url(get_theme_mod('fashion_designer_studio_youtube','')); ?>"><span class="mr-3"><?php esc_html_e('Youtube','fashion-designer-studio'); ?></span></a>
              <?php }?>
              <?php if( get_theme_mod('fashion_designer_studio_instagram') != ''){ ?>
                <a href="<?php echo esc_url(get_theme_mod('fashion_designer_studio_instagram','')); ?>"><?php esc_html_e('Instagram','fashion-designer-studio'); ?></a>
              <?php }?>
            </div>
          </div>
          <div class="col-lg-11 col-md-11 col-sm-11 pl-0 pr-0">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
              <?php
                for ( $i = 1; $i <= 4; $i++ ) {
                  $mod =  get_theme_mod( 'fashion_designer_studio_post_setting' . $i );
                  if ( 'page-none-selected' != $mod ) {
                    $fashion_designer_studio_slide_post[] = $mod;
                  }
                }
                 if( !empty($fashion_designer_studio_slide_post) ) :
                $args = array(
                  'post_type' =>array('post'),
                  'post__in' => $fashion_designer_studio_slide_post
                );
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
                  $i = 1;
              ?>
              <div class="carousel-inner" role="listbox">
                <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
                <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
                  <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
                  <div class="carousel-caption slider-inner">
                    <h2 class="slider-title"><?php the_title();?></h2>
                    <div class="home-btn my-4">
                      <a class="py-3 px-4" href="<?php the_permalink(); ?>"><?php echo esc_html('SHOP NOW','fashion-designer-studio'); ?></a>
                    </div>
                  </div>
                </div>
                <?php $i++; endwhile;
                wp_reset_postdata();?>
              </div>
              <?php else : ?>
              <div class="no-postfound"></div>
                <?php endif;
              endif;?>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-long-arrow-alt-left"></i></span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-long-arrow-alt-right"></i></span>
                </a>
            </div>
          </div>
        </div>
      </div>
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <section id="home-mission" class="py-5">
    <div class="container">
      <div class="row pt-4">
        <?php
          $project_category=  get_theme_mod('fashion_designer_studio_mission_category_setting');if($project_category){
          $page_query = new WP_Query(array( 'category_name' => esc_html($project_category ,'fashion-designer-studio')));?>
            <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
              <div class="col-lg-4 col-md-4 col-sm-4">
                <div class="box mb-4">
                  <?php the_post_thumbnail(); ?>
                  <div class="box-content">
                    <h3 class="title m-0"><?php the_title();?></h3>
                  </div>
                </div>
              </div>
            <?php endwhile;
          wp_reset_postdata();
        }?>
      </div>
    </div>
  </section>
</main>

<?php get_footer(); ?>